Freeciv-3.3: /fast/freeciv/nightly/main/ai/default/daiplayer.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Functions
daiplayer.h File Reference
`#include "city.h"`
`#include "player.h"`

Go to the source code of this file.

## Data Structures

struct | dai_private_data

## Functions

void | dai_player_alloc (struct ai_type *ait, struct player *pplayer)
void | dai_player_free (struct ai_type *ait, struct player *pplayer)
void | dai_player_save (struct ai_type *ait, const char *aitstr, struct player *pplayer, struct section_file *file, int plrno)
void | dai_player_save_relations (struct ai_type *ait, const char *aitstr, struct player *pplayer, struct player *other, struct section_file *file, int plrno)
void | dai_player_load (struct ai_type *ait, const char *aitstr, struct player *pplayer, const struct section_file *file, int plrno)
void | dai_player_load_relations (struct ai_type *ait, const char *aitstr, struct player *pplayer, struct player *other, const struct section_file *file, int plrno)
void | dai_player_copy (struct ai_type *ait, struct player *original, struct player *created)
void | dai_gained_control (struct ai_type *ait, struct player *pplayer)
static struct ai_city * | def_ai_city_data (const struct city *pcity, struct ai_type *deftype)
static struct unit_ai * | def_ai_unit_data (const struct unit *punit, struct ai_type *deftype)
static struct ai_plr * | def_ai_player_data (const struct player *pplayer, struct ai_type *deftype)

## Function Documentation

## ◆ dai_gained_control()

void dai_gained_control | ( | struct ai_type * | ait,
|  | struct player * | pplayer
| ) |  |

Ai got control of the player.

Definition at line 174 of file daiplayer.c.

Referenced by cai_gained_control(), and texwai_control_gained().

## ◆ dai_player_alloc()

void dai_player_alloc | ( | struct ai_type * | ait,
|  | struct player * | pplayer
| ) |  |

Initialize player for use with default AI. Note that this is called for all players, not just for those default AI is controlling.

Definition at line 38 of file daiplayer.c.

Referenced by cai_player_alloc().

## ◆ dai_player_copy()

void dai_player_copy | ( | struct ai_type * | ait,
|  | struct player * | original,
|  | struct player * | created
| ) |  |

Copy default ai data from player to player

Definition at line 151 of file daiplayer.c.

Referenced by cai_created_by_civil_war(), and texwai_created_by_civil_war().

## ◆ dai_player_free()

void dai_player_free | ( | struct ai_type * | ait,
|  | struct player * | pplayer
| ) |  |

Free player from use with default AI.

Definition at line 50 of file daiplayer.c.

Referenced by cai_player_free().

## ◆ dai_player_load()

void dai_player_load | ( | struct ai_type * | ait,
|  | const char * | aitstr,
|  | struct player * | pplayer,
|  | const struct section_file * | file,
|  | int | plrno
| ) |  |

Load player specific data from savegame

Definition at line 108 of file daiplayer.c.

Referenced by texwai_player_load().

## ◆ dai_player_load_relations()

void dai_player_load_relations | ( | struct ai_type * | ait,
|  | const char * | aitstr,
|  | struct player * | pplayer,
|  | struct player * | other,
|  | const struct section_file * | file,
|  | int | plrno
| ) |  |

Load player vs player specific data from savegame

Definition at line 120 of file daiplayer.c.

Referenced by cai_player_load_relations(), and dai_player_load().

## ◆ dai_player_save()

void dai_player_save | ( | struct ai_type * | ait,
|  | const char * | aitstr,
|  | struct player * | pplayer,
|  | struct section_file * | file,
|  | int | plrno
| ) |  |

Store player specific data to savegame

Definition at line 65 of file daiplayer.c.

Referenced by texwai_player_save().

## ◆ dai_player_save_relations()

void dai_player_save_relations | ( | struct ai_type * | ait,
|  | const char * | aitstr,
|  | struct player * | pplayer,
|  | struct player * | other,
|  | struct section_file * | file,
|  | int | plrno
| ) |  |

Store player specific data to savegame

Definition at line 77 of file daiplayer.c.

Referenced by cai_player_save_relations(), and dai_player_save().

## ◆ def_ai_city_data()

static struct ai_city * def_ai_city_data | ( | const struct city * | pcity,
|  | struct ai_type * | deftype
| ) |  |

inlinestatic

Definition at line 42 of file daiplayer.h.

Referenced by assess_danger(), assess_defense_quadratic(), assess_defense_unit(), base_want(), contemplate_new_city(), contemplate_terrain_improvements(), dai_airlift(), dai_build_adv_adjust(), dai_build_adv_init(), dai_choose_diplomat_defensive(), dai_choose_help_wonder(), dai_city_choose_build(), dai_city_free(), dai_city_load(), dai_city_log(), dai_city_save(), dai_consider_wonder_city(), dai_diplomat_defend(), dai_do_build_city(), dai_find_strategic_airbase(), dai_manage_cities(), dai_manage_diplomat(), dai_manage_taxes(), dai_military_findjob(), dai_process_defender_want(), dai_set_defenders(), dai_should_we_air_attack_tile(), dai_spend_gold(), dai_wonder_city_distance(), domestic_advisor_choose_build(), find_best_tile_to_paradrop_to(), find_neediest_airlift_city(), find_something_to_kill(), invasion_funct(), kill_something_with(), look_for_charge(), military_advisor_choose_build(), process_attacker_want(), texai_refresh(), and want_tech_for_improvement_effect().

## ◆ def_ai_player_data()

static struct ai_plr * def_ai_player_data | ( | const struct player * | pplayer,
|  | struct ai_type * | deftype
| ) |  |

inlinestatic

Definition at line 54 of file daiplayer.h.

Referenced by dai_choose_diplomat_defensive(), dai_choose_diplomat_offensive(), dai_choose_paratrooper(), dai_clear_tech_wants(), dai_data_close(), dai_data_init(), dai_data_phase_begin(), dai_data_phase_finished(), dai_diplomacy_destroy(), dai_diplomacy_get(), dai_diplomacy_new(), dai_go_to_war(), dai_goldequiv_tech(), dai_manage_government(), dai_player_free(), dai_plr_data_get(), dai_process_defender_want(), dai_revolution_start(), dai_select_tech(), dai_tech_effect_values(), dai_wants_defender_against(), dai_wants_role_unit(), find_best_city_placement(), is_ai_data_phase_open(), process_attacker_want(), real_tech_log(), and want_tech_for_improvement_effect().

## ◆ def_ai_unit_data()

static struct unit_ai * def_ai_unit_data | ( | const struct unit * | punit,
|  | struct ai_type * | deftype
| ) |  |

inlinestatic

Definition at line 48 of file daiplayer.h.

Referenced by aiguard_assign_guard_city(), aiguard_assign_guard_unit(), aiguard_charge_city(), aiguard_charge_unit(), aiguard_check_charge_unit(), aiguard_check_guard(), aiguard_clear_charge(), aiguard_clear_guard(), aiguard_guard_of(), aiguard_has_charge(), aiguard_has_guard(), aiguard_request_guard(), aiguard_update_charge(), aiguard_wanted(), dai_airlift(), dai_auto_settler_run(), dai_caravan_goto(), dai_data_phase_begin(), dai_fill_unit_param(), dai_find_strategic_airbase(), dai_gothere(), dai_hunter_manage(), dai_is_unit_tired_waiting_boat(), dai_manage_airunit(), dai_manage_caravan(), dai_manage_diplomat(), dai_manage_hitpoint_recovery(), dai_manage_military(), dai_manage_settler(), dai_manage_unit(), dai_manage_units(), dai_military_bodyguard(), dai_military_defend(), dai_military_findjob(), dai_set_defenders(), dai_switch_to_explore(), dai_unit_attack(), dai_unit_close(), dai_unit_load(), dai_unit_log(), dai_unit_move(), dai_unit_new_task(), dai_unit_save(), dai_unit_turn_end(), find_something_to_kill(), look_for_charge(), real_bodyguard_log(), and resolve_city_emergency().